Alert Match History

GET https://api.podengine.ai/api/v1/alerts/history

Get the team's alert matches, one item per mention, 50 per page, optionally for a single alert config. Items found from the alerts switch onwards have no transcriptEmbeddingId.

Request

Query parameters

ID of the alert configuration.

pagenumber

Page of alert matches to return; defaults to 1, with 50 matches per page.

Reserved date filter. Currently accepted but ignored by the alert history endpoint.

Response

200 application/json
statusliteral: OKrequired
dataobjectrequired3 fields
optionsobjectrequired3 fields

ID of the alert configuration.

pagenumber

Page of alert matches to return; defaults to 1, with 50 matches per page.

Reserved date filter. Currently accepted but ignored by the alert history endpoint.

totalAlertMatchesnumberrequired
alertMatchesarray of intersectionrequired